--RF Module Options Frame
local function Create_Tankadin_RFModTab()
	local mainFrame = CreateFrame("Frame", "TankadinRF_Frame");
	mainFrame:SetPoint("TOPLEFT", TankadinMainOptionsFrame, "TOPLEFT", 196, -80);
	mainFrame:SetWidth(389);
	mainFrame:SetHeight(400);
	local fontString = mainFrame:CreateFontString(nil, "OVERLAY", "GameFontNormal");
	fontString:SetText(TANKADIN_OPTIONS.." - "..TANKADIN_RFMODNAME);
	fontString:SetPoint("CENTER", mainFrame, "TOP", 0, -10);
	
	local button = CreateFrame("CheckButton", "TankadinRF_RFWarn", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -20);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_RFOPTIONS_WARNRF);
	button:SetScript("OnClick", function() Tankadin2_RF_Options.warn_rf = not Tankadin2_RF_Options.warn_rf; if Tankadin2_RF_Options.warn_rf then TankadinRF_RFWarnDuration:Show() else TankadinRF_RFWarnDuration:Hide() end end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_RF_Options.warn_rf) end);
	
	local slider = CreateFrame("Slider", "TankadinRF_RFWarnDuration", mainFrame, "OptionsSliderTemplate");
	slider:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 105, -65);
	slider:SetScript("OnShow", function() Tankadin_SetupSlider(TankadinRF_RFWarnDuration, TANKADIN_RFOPTIONS_WARNRFSLIDER..": "..Tankadin2_RF_Options.RF_warnDuration.."s", 10, 120, 1); slider:SetValue(Tankadin2_RF_Options.RF_warnDuration); if Tankadin2_RF_Options.warn_rf then TankadinRF_RFWarnDuration:Show() else TankadinRF_RFWarnDuration:Hide() end end);
	slider:SetScript("OnValueChanged", function() Tankadin2_RF_Options.RF_warnDuration = TankadinRF_RFWarnDuration:GetValue(); getglobal(TankadinRF_RFWarnDuration:GetName().."Text"):SetText(TANKADIN_RFOPTIONS_WARNRFSLIDER..": "..Tankadin2_RF_Options.RF_warnDuration.."s"); end );
	
	local button = CreateFrame("CheckButton", "TankadinRF_SealWarn", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -85);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_RFOPTIONS_WARNSEAL);
	button:SetScript("OnClick", function() Tankadin2_RF_Options.warn_seal = not Tankadin2_RF_Options.warn_seal; if Tankadin2_RF_Options.warn_seal then TankadinRF_SealWarnDuration:Show() else TankadinRF_SealWarnDuration:Hide() end end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_RF_Options.warn_seal) end);
	
	local slider = CreateFrame("Slider", "TankadinRF_SealWarnDuration", mainFrame, "OptionsSliderTemplate");
	slider:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 105, -130);
	slider:SetScript("OnShow", function() Tankadin_SetupSlider(TankadinRF_SealWarnDuration, TANKADIN_RFOPTIONS_WARNSEALSLIDER..": "..Tankadin2_RF_Options.Seal_warnDuration.."s", 3, 30, 1); slider:SetValue(Tankadin2_RF_Options.Seal_warnDuration); if Tankadin2_RF_Options.warn_seal then TankadinRF_SealWarnDuration:Show() else TankadinRF_SealWarnDuration:Hide() end end);
	slider:SetScript("OnValueChanged", function() Tankadin2_RF_Options.Seal_warnDuration = TankadinRF_SealWarnDuration:GetValue(); getglobal(TankadinRF_SealWarnDuration:GetName().."Text"):SetText(TANKADIN_RFOPTIONS_WARNSEALSLIDER..": "..Tankadin2_RF_Options.Seal_warnDuration.."s"); end );
	
	local button = CreateFrame("CheckButton", "TankadinRF_SSWarn", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -150);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_RFOPTIONS_WARNSS);
	button:SetScript("OnClick", function() Tankadin2_RF_Options.warnSS = not Tankadin2_RF_Options.warnSS; if Tankadin2_RF_Options.warnSS then TankadinRF_SSWarnDuration:Show() else TankadinRF_SSWarnDuration:Hide() end end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_RF_Options.warnSS) end);
	
	local slider = CreateFrame("Slider", "TankadinRF_SSWarnDuration", mainFrame, "OptionsSliderTemplate");
	slider:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 105, -195);
	slider:SetScript("OnShow", function() Tankadin_SetupSlider(TankadinRF_SSWarnDuration, TANKADIN_RFOPTIONS_WARNSSSLIDER..": "..Tankadin2_RF_Options.SS_warnDuration.."s", 3, 30, 1); slider:SetValue(Tankadin2_RF_Options.SS_warnDuration); if Tankadin2_RF_Options.warnSS then TankadinRF_SSWarnDuration:Show() else TankadinRF_SSWarnDuration:Hide() end end);
	slider:SetScript("OnValueChanged", function() Tankadin2_RF_Options.SS_warnDuration = TankadinRF_SSWarnDuration:GetValue(); getglobal(TankadinRF_SSWarnDuration:GetName().."Text"):SetText(TANKADIN_RFOPTIONS_WARNSSSLIDER..": "..Tankadin2_RF_Options.SS_warnDuration.."s"); end );

	local button = CreateFrame("CheckButton", "TankadinRF_ShowDPBar", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -220);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_RF_SHOWDPBAR);
	button:SetScript("OnClick", function() Tankadin2_RF_Options.showDPBar = not Tankadin2_RF_Options.showDPBar; end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_RF_Options.showDPBar) end);
	
	local button = CreateFrame("CheckButton", "TankadinRF_ShowButton", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -240);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_RFOPTIONS_SHOWBUTTON);
	button:SetScript("OnClick", function() Tankadin2_RF_Options.button = not Tankadin2_RF_Options.button; Tankadin_RFMod_SetVisability(); end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_RF_Options.button) end);
	
	local button = CreateFrame("CheckButton", "TankadinRF_ShowButtonSS", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -260);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_RFOPTIONS_SHOWBUTTONSS);
	button:SetScript("OnClick", function() Tankadin2_RF_Options.SSbutton = not Tankadin2_RF_Options.SSbutton; Tankadin_RFMod_SetVisability(); end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_RF_Options.SSbutton) end);
	
	local slider = CreateFrame("Slider", "TankadinRF_Scale", mainFrame, "OptionsSliderTemplate");
	slider:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 105, -305);
	slider:SetScript("OnShow", function() Tankadin_SetupSlider(TankadinRF_Scale, TANKADIN_RFOPTIONS_SCALESLIDER, 0.1, 1, 0.05); slider:SetValue(Tankadin2_RF_Options.scale); if Tankadin2_RF_Options.button then TankadinRF_Scale:Show() else TankadinRF_Scale:Hide() end end);
	slider:SetScript("OnValueChanged", function() Tankadin2_RF_Options.scale = TankadinRF_Scale:GetValue(); Tankadin_RFMod:SetScale(Tankadin2_RF_Options.scale); end );
	
	local button = CreateFrame("CheckButton", "TankadinRF_Annoy", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -335);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_RFOPTIONS_ANNOY);
	button:SetScript("OnClick", function() Tankadin2_RF_Options.annoy = not Tankadin2_RF_Options.annoy; end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_RF_Options.annoy) end);
	
	local button = CreateFrame("CheckButton", "TankadinRF_Text", mainFrame, "OptionsCheckButtonTemplate");
	button:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 200, -335);
	getglobal(button:GetName().."Text"):SetText(TANKADIN_RFOPTIONS_TEXT);
	button:SetScript("OnClick", function() Tankadin2_RF_Options.text = not Tankadin2_RF_Options.text; end);
	button:SetScript("OnShow", function() button:SetChecked(Tankadin2_RF_Options.text) end);
	
	local fontString = mainFrame:CreateFontString(nil, "OVERLAY", "GameFontNormal");
	fontString:SetText(TANKADIN_RFOPTIONS_ONUPDATEFREQ);
	fontString:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -370);
	
	local editBox = CreateFrame("EditBox", "TankadinRF_UpdateFreq", mainFrame, "InputBoxTemplate");
	editBox:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 255, -370);
	editBox:SetWidth(60);
	editBox:SetHeight(16);
	editBox:SetAutoFocus(false);
	editBox:SetMaxLetters(5);
	editBox:SetNumeric(true);
	editBox:SetScript("OnShow", function() TankadinRF_UpdateFreq:SetText(Tankadin2_RF_Options.updateFreq) end);
	editBox:SetScript("OnCursorChanged", function() Tankadin2_RF_Options.updateFreq = TankadinRF_UpdateFreq:GetText() end);
	
	local fontString = mainFrame:CreateFontString(nil, "OVERLAY", "GameFontNormal");
	fontString:SetText(TANKADIN_RFOPTIONS_FREQWARNING);
	fontString:SetPoint("TOPLEFT", mainFrame, "TOPLEFT", 10, -395);

	mainFrame:Hide();
	
	mainFrame.name = "RF Plug-in";
	mainFrame.parent = "Tankadin2";
	InterfaceOptions_AddCategory(mainFrame);
end
Create_Tankadin_RFModTab();
