﻿--[[
Tankadin2 RF Module Loc file

If you wish to help localize this mod, please change the values listed under the enUS variables and contact me.

Maintankadin.com _Chloe
ui.incgamers.com _Chloe
Chloe@tankadinaddon.com

]]--

--enUS variables / Default
TANKADIN_RF_WARNING                = "|cFFFF0000Righteous Fury Faded!|r";
TANKADIN_RF_FADING                 = "|cFFFF0000Righteous Fury Fading!|r";
TANKADIN_SEAL_WARNING              = "|cFFFFFF00Current Seal Faded!|r";
TANKADIN_SEAL_FADING               = "|cFFFFFF00Current Seal Fading!|r";
TANKADIN_SS_WARNING                = "|cFFFFFF00Sacred Shield Faded!|r";
TANKADIN_SS_FADING                 = "|cFFFFFF00Sacred Shield Fading!|r";
TANKADIN_RF_ANNOYMESSAGE		   = "|cFFFF0000Righteous Fury Down!|r";
TANKADIN_RFMODNAME                 = "Righteous Fury Plug-in";
TANKADIN_RFOPTIONS_WARNRF          = "Warn when Righteous Fury is fading";
TANKADIN_RFOPTIONS_WARNRFSLIDER    = "Warn when Righteous Fury is at";
TANKADIN_RFOPTIONS_WARNSEAL        = "Warn when your current seal is fading";
TANKADIN_RFOPTIONS_WARNSEALSLIDER  = "Warn when current seal is at";
TANKADIN_RFOPTIONS_WARNSS          = "Warn when your Sacred Shield is fading";
TANKADIN_RFOPTIONS_WARNSSSLIDER    = "Warn when Sacred Shield is at";
TANKADIN_RFOPTIONS_SCALESLIDER     = "Button Scale";
TANKADIN_RFOPTIONS_SHOWBUTTON      = "Show Righteous Fury Button";
TANKADIN_RFOPTIONS_SHOWBUTTONSS    = "Show Sacred Shield Button";
TANKADIN_RFOPTIONS_ANNOY           = "Enable RF Annoy Mode";
TANKADIN_RFOPTIONS_TEXT            = "Enable Text-Only Mode";
TANKADIN_RFOPTIONS_ONUPDATEFREQ    = "OnUpdate Frequancy:";
TANKADIN_RFOPTIONS_FREQWARNING     = "!!WARNING!! - Setting the OnUpdate value too low may \ndecrease overall performance.\nRequires /console reloadui (Default value is 240)";
TANKADIN_RF_DISABLE				   = "RF/Seal Plug-in Disabled.";
TANKADIN_RF_SHOWDPBAR			   = "Show Divine Plea Bar";

-- German
if ( GetLocale() == "deDE" ) then

TANKADIN_RF_WARNING                = "|cFFFF0000Zorn der Gerechtigkeit ist ausgelaufen!|r";
TANKADIN_RF_FADING                 = "|cFFFF0000Zorn der Gerechtigkeit schwindet!|r";
TANKADIN_SEAL_WARNING              = "|cFFFFFF00Dein aktuelles Siegel ist ausgelaufen!|r";
TANKADIN_SEAL_FADING               = "|cFFFFFF00Dein aktuelles Siegel schwindet!|r";
TANKADIN_RF_ANNOYMESSAGE         = "|cFFFF0000Zorn der Gerechtigkeit ausgelaufen!|r";
TANKADIN_RFMODNAME                 = "Zorn der Gerechtigkeit Plug-in";
TANKADIN_RFOPTIONS_WARNRF          = "Warnen wenn Zorn der Gerechtigkeit schwinden tut";
TANKADIN_RFOPTIONS_WARNRFSLIDER    = "Warnen wenn Zorn der Gerechtigkeit is at";
TANKADIN_RFOPTIONS_WARNSEAL        = "Warnen wenn dein aktuelles Siegel schwindet";
TANKADIN_RFOPTIONS_WARNSEALSLIDER  = "Warnen wenn dein aktuelles Siegel is at";
TANKADIN_RFOPTIONS_SCALESLIDER     = "Button Skalierung";
TANKADIN_RFOPTIONS_SHOWBUTTON      = "Zeige den Zorn der Gerechtigkeit Button";
TANKADIN_RFOPTIONS_ANNOY           = "Aktiviere Zorn der Gerechtigkeit Annoy Modus";
TANKADIN_RFOPTIONS_TEXT            = "Aktiviere Nur-Text Modus";
TANKADIN_RFOPTIONS_ONUPDATEFREQ    = "OnUpdate Frequenz:";
TANKADIN_RFOPTIONS_FREQWARNING     = "!!WARNUNG!! - Setzt ihr den OnUpdate Wert zu klein kann \nes die Gesamtperformance verringern.\nErfordert /console reloadui (Standardwert ist 240)";
TANKADIN_RF_DISABLE               = "ZdG und Siegel Plug-in deaktiviert.";

end

-- English (Great Britain)
if ( GetLocale() == "enGB") then

end

-- Spanish
if ( GetLocale() == "esES") then

end

--Spanish (LA)
if ( GetLocale() == "esMX") then

end

-- French
if ( GetLocale() == "frFR") then

TANKADIN_RF_WARNING                = "Fureur vertueuse a disparu !";
TANKADIN_RF_FADING                 = "Fureur vertueuse dispara\195\174t !";
TANKADIN_SEAL_WARNING              = "Votre sceau a disparu !";
TANKADIN_SEAL_FADING               = "Votre sceau dispara\195\174t !";
TANKADIN_RF_ANNOYMESSAGE         = "Fureur vertueuse \195\160 remettre !";
TANKADIN_RFMODNAME                 = "Plug-in Fureur vertueuse";
TANKADIN_RFOPTIONS_WARNRF          = "Alerter quand Fureur vertueuse dispara\195\174t";
TANKADIN_RFOPTIONS_WARNRFSLIDER    = "Alerter quand Fureur vertueuse est \195\160 ";
TANKADIN_RFOPTIONS_WARNSEAL        = "Alerter quand votre sceau actif dispara\195\174t";
TANKADIN_RFOPTIONS_WARNSEALSLIDER  = "Alerter quand votre sceau actif est \195\160 ";
TANKADIN_RFOPTIONS_SCALESLIDER     = "Echelle du bouton";
TANKADIN_RFOPTIONS_SHOWBUTTON      = "Montrer le bouton Fureur vertueuse ";
TANKADIN_RFOPTIONS_ANNOY           = "Activer le mode chiant";
TANKADIN_RFOPTIONS_TEXT            = "Activer le mode texte seul";
TANKADIN_RFOPTIONS_ONUPDATEFREQ    = "Fr\195\169quence de OnUpdate :";
TANKADIN_RFOPTIONS_FREQWARNING     = "!!ATTENTION!! - R\195\169gler la valeur de OnUpdate trop bas peut\ndiminuer les performances.\nN\195\169cessite un /console reloadui (valeur par d\195\169faut : 240)";
TANKADIN_RF_DISABLE		     = "Plug-in Fureur/Sceau d\195\169sactiv\195\169.";

end 

-- Russian
if ( GetLocale() == "ruRU") then

end 

--Korean
if ( GetLocale() == "koKR") then

end

-- Simplified Chinese
if ( GetLocale() == "zhCN") then

end

--Traditional Chinese
if ( GetLocale() == "zhTW") then
TANKADIN_RF_WARNING                = "|cFFFF0000正義之怒消失!!|r";
TANKADIN_RF_FADING                 = "|cFFFF0000正義之怒即將消失!!|r";
TANKADIN_SEAL_WARNING              = "|cFFFFFF00聖印消失!!|r";
TANKADIN_SEAL_FADING               = "|cFFFFFF00聖印即將消失!!|r";
TANKADIN_RF_ANNOYMESSAGE		   = "|cFFFF0000正義之怒未開啟!!|r";
TANKADIN_RFMODNAME                 = "正義之怒 Plug-in";
TANKADIN_RFOPTIONS_WARNRF          = "正義之怒即將消失時警告";
TANKADIN_RFOPTIONS_WARNRFSLIDER    = "當正義之怒消失前";
TANKADIN_RFOPTIONS_WARNSEAL        = "聖印即將消失時警告";
TANKADIN_RFOPTIONS_WARNSEALSLIDER  = "當聖印消失前";
TANKADIN_RFOPTIONS_SCALESLIDER     = "按鈕縮放";
TANKADIN_RFOPTIONS_SHOWBUTTON      = "顯示正義之怒按鈕";
TANKADIN_RFOPTIONS_ANNOY           = "正義之怒未開啟時持續警告";
TANKADIN_RFOPTIONS_TEXT            = "純文字警告模式";
TANKADIN_RFOPTIONS_ONUPDATEFREQ    = "更新頻率:";
TANKADIN_RFOPTIONS_FREQWARNING     = "!!警告!! -更新頻率數設定值太低將導致效能低落-\n需使用/console reloadui重新載入(預設值 240)";
TANKADIN_RF_DISABLE				   = "停用 RF/Seal Plug-in.";
end
